Checkout V2
curl --request POST \
--url https://flickopenapi.co/collection/v2/create-charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "8000",
"Phoneno": "07011223344",
"currency_collected": "NGN, USD, CAD, GBP",
"currency_settled": "NGN, USD, CAD, GBP",
"email": "Useremail@getmail",
"payerId": "3-47a1-89d4-460bf99bde72",
"redirectUrl": "https://",
"webhookUrl": "https://",
"transactionId": "Flick-48be6adc2-a3514aaab"
}
'import requests
url = "https://flickopenapi.co/collection/v2/create-charge"
payload = {
"amount": "8000",
"Phoneno": "07011223344",
"currency_collected": "NGN, USD, CAD, GBP",
"currency_settled": "NGN, USD, CAD, GBP",
"email": "Useremail@getmail",
"payerId": "3-47a1-89d4-460bf99bde72",
"redirectUrl": "https://",
"webhookUrl": "https://",
"transactionId": "Flick-48be6adc2-a3514aaab"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '8000',
Phoneno: '07011223344',
currency_collected: 'NGN, USD, CAD, GBP',
currency_settled: 'NGN, USD, CAD, GBP',
email: 'Useremail@getmail',
payerId: '3-47a1-89d4-460bf99bde72',
redirectUrl: 'https://',
webhookUrl: 'https://',
transactionId: 'Flick-48be6adc2-a3514aaab'
})
};
fetch('https://flickopenapi.co/collection/v2/create-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/collection/v2/create-charge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '8000',
'Phoneno' => '07011223344',
'currency_collected' => 'NGN, USD, CAD, GBP',
'currency_settled' => 'NGN, USD, CAD, GBP',
'email' => 'Useremail@getmail',
'payerId' => '3-47a1-89d4-460bf99bde72',
'redirectUrl' => 'https://',
'webhookUrl' => 'https://',
'transactionId' => 'Flick-48be6adc2-a3514aaab'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/collection/v2/create-charge"
payload := strings.NewReader("{\n \"amount\": \"8000\",\n \"Phoneno\": \"07011223344\",\n \"currency_collected\": \"NGN, USD, CAD, GBP\",\n \"currency_settled\": \"NGN, USD, CAD, GBP\",\n \"email\": \"Useremail@getmail\",\n \"payerId\": \"3-47a1-89d4-460bf99bde72\",\n \"redirectUrl\": \"https://\",\n \"webhookUrl\": \"https://\",\n \"transactionId\": \"Flick-48be6adc2-a3514aaab\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/collection/v2/create-charge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"8000\",\n \"Phoneno\": \"07011223344\",\n \"currency_collected\": \"NGN, USD, CAD, GBP\",\n \"currency_settled\": \"NGN, USD, CAD, GBP\",\n \"email\": \"Useremail@getmail\",\n \"payerId\": \"3-47a1-89d4-460bf99bde72\",\n \"redirectUrl\": \"https://\",\n \"webhookUrl\": \"https://\",\n \"transactionId\": \"Flick-48be6adc2-a3514aaab\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/collection/v2/create-charge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"8000\",\n \"Phoneno\": \"07011223344\",\n \"currency_collected\": \"NGN, USD, CAD, GBP\",\n \"currency_settled\": \"NGN, USD, CAD, GBP\",\n \"email\": \"Useremail@getmail\",\n \"payerId\": \"3-47a1-89d4-460bf99bde72\",\n \"redirectUrl\": \"https://\",\n \"webhookUrl\": \"https://\",\n \"transactionId\": \"Flick-48be6adc2-a3514aaab\"\n}"
response = http.request(request)
puts response.read_body{
"status": "Success",
"message": "Transaction created successfully",
"data": {
"transactionId": "Flick-1c-jfkrn35-5fjsd8-vsd",
"url": "https://checkout.paywithflick.co/smekfx",
"access_code": "smekfx"
}
}API Reference
Checkout V2
Initiating Checkout version2
POST
/
collection
/
v2
/
create-charge
Checkout V2
curl --request POST \
--url https://flickopenapi.co/collection/v2/create-charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "8000",
"Phoneno": "07011223344",
"currency_collected": "NGN, USD, CAD, GBP",
"currency_settled": "NGN, USD, CAD, GBP",
"email": "Useremail@getmail",
"payerId": "3-47a1-89d4-460bf99bde72",
"redirectUrl": "https://",
"webhookUrl": "https://",
"transactionId": "Flick-48be6adc2-a3514aaab"
}
'import requests
url = "https://flickopenapi.co/collection/v2/create-charge"
payload = {
"amount": "8000",
"Phoneno": "07011223344",
"currency_collected": "NGN, USD, CAD, GBP",
"currency_settled": "NGN, USD, CAD, GBP",
"email": "Useremail@getmail",
"payerId": "3-47a1-89d4-460bf99bde72",
"redirectUrl": "https://",
"webhookUrl": "https://",
"transactionId": "Flick-48be6adc2-a3514aaab"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '8000',
Phoneno: '07011223344',
currency_collected: 'NGN, USD, CAD, GBP',
currency_settled: 'NGN, USD, CAD, GBP',
email: 'Useremail@getmail',
payerId: '3-47a1-89d4-460bf99bde72',
redirectUrl: 'https://',
webhookUrl: 'https://',
transactionId: 'Flick-48be6adc2-a3514aaab'
})
};
fetch('https://flickopenapi.co/collection/v2/create-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/collection/v2/create-charge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '8000',
'Phoneno' => '07011223344',
'currency_collected' => 'NGN, USD, CAD, GBP',
'currency_settled' => 'NGN, USD, CAD, GBP',
'email' => 'Useremail@getmail',
'payerId' => '3-47a1-89d4-460bf99bde72',
'redirectUrl' => 'https://',
'webhookUrl' => 'https://',
'transactionId' => 'Flick-48be6adc2-a3514aaab'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/collection/v2/create-charge"
payload := strings.NewReader("{\n \"amount\": \"8000\",\n \"Phoneno\": \"07011223344\",\n \"currency_collected\": \"NGN, USD, CAD, GBP\",\n \"currency_settled\": \"NGN, USD, CAD, GBP\",\n \"email\": \"Useremail@getmail\",\n \"payerId\": \"3-47a1-89d4-460bf99bde72\",\n \"redirectUrl\": \"https://\",\n \"webhookUrl\": \"https://\",\n \"transactionId\": \"Flick-48be6adc2-a3514aaab\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/collection/v2/create-charge")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"8000\",\n \"Phoneno\": \"07011223344\",\n \"currency_collected\": \"NGN, USD, CAD, GBP\",\n \"currency_settled\": \"NGN, USD, CAD, GBP\",\n \"email\": \"Useremail@getmail\",\n \"payerId\": \"3-47a1-89d4-460bf99bde72\",\n \"redirectUrl\": \"https://\",\n \"webhookUrl\": \"https://\",\n \"transactionId\": \"Flick-48be6adc2-a3514aaab\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/collection/v2/create-charge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"8000\",\n \"Phoneno\": \"07011223344\",\n \"currency_collected\": \"NGN, USD, CAD, GBP\",\n \"currency_settled\": \"NGN, USD, CAD, GBP\",\n \"email\": \"Useremail@getmail\",\n \"payerId\": \"3-47a1-89d4-460bf99bde72\",\n \"redirectUrl\": \"https://\",\n \"webhookUrl\": \"https://\",\n \"transactionId\": \"Flick-48be6adc2-a3514aaab\"\n}"
response = http.request(request)
puts response.read_body{
"status": "Success",
"message": "Transaction created successfully",
"data": {
"transactionId": "Flick-1c-jfkrn35-5fjsd8-vsd",
"url": "https://checkout.paywithflick.co/smekfx",
"access_code": "smekfx"
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Example:
"8000"
Example:
"07011223344"
Available options:
NGN, USD, CAD, GBP, KES, GHS, EUR Example:
"NGN, USD, CAD, GBP"
Available options:
NGN, USD, CAD, EUR, GBP, KES, GHS Example:
"NGN, USD, CAD, GBP"
Example:
"Useremail@getmail"
Example:
"3-47a1-89d4-460bf99bde72"
Example:
"https://"
Example:
"https://"
Example:
"Flick-48be6adc2-a3514aaab"